/**
 * Search configuration with environment variable support
 */
export interface SearchLimits {
    /** Maximum number of results to return from database searches */
    maxResults: number;
    /** Batch size for processing large query arrays */
    batchSize: number;
    /** Maximum number of entities to load for client-side search */
    maxClientSideEntities: number;
    /** Chunk size for processing large datasets in client-side search */
    clientSideChunkSize: number;
}
/**
 * Get search limits from environment variables with sensible defaults
 */
export declare function getSearchLimits(): SearchLimits;
/**
 * Validate search limits to ensure they are within reasonable bounds
 */
export declare function validateSearchLimits(limits: SearchLimits): SearchLimits;
/**
 * Get validated search limits
 */
export declare function getValidatedSearchLimits(): SearchLimits;
//# sourceMappingURL=config.d.ts.map